Subject: Fwd: Re: [Idr] signalled prefix limit as an IDR WG work item

From: Alex Zinin <[email-masked]>
Date: Fri, 14 May 2004 18:43:08 -0700

I'd be interested to know what RTG-DIR members think about this discussion.

-- 
Alex
http://www.psg.com/~zinin/

This is a forwarded message
From: Tony Li <[email-masked]>
To: Jeffrey Haas <[email-masked]>
Cc: [email-masked]
Date: Friday, May 14, 2004, 10:40:09 AM
Subject: [Idr] signalled prefix limit as an IDR WG work item

===8<==============Original message text===============

Understood.  My question has much more to do with minimalist design 
principles.
If this is something that doesn't HAVE to be there, then it probably 
shouldn't
be.

What's next?  Do we signal the amount of memory that an implementation 
has left
before it chokes?  How about current CPU utilization?  The phase of the 
moon?

This really smells like hump of camel to me.

Tony

On May 14, 2004, at 8:59 AM, Jeffrey Haas wrote:

> Tony,
>
> On Tue, May 11, 2004 at 05:08:13PM -0700, Tony Li wrote:
>> FWIW, I'm having a hard time understanding why we want the prefix 
>> limit
>> signaled.
>
> Completely aside from taking some form of remedial step on receipt
> of your peer's prefix-limit for you (which is the majority of
> where the arguments are happening), this allows for your implementation
> to be able to monitor its adj-rib-out count for the peer and to
> let management applications (probably SNMP) warn operators when you're
> going to hit this limit.
>
> Sure, you could configure this, on your side, but I would wonder if
> that would be anywhere near as useful.
>
> I believe this is the point that Tao was making.
>
> -- 
> Jeff Haas
> NextHop Technologies
>

_______________________________________________
Idr mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/idr

===8<===========End of original message text===========